com.google.gwt.user.client.ui

## Interface MouseListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    DialogBox, MouseListenerAdapter

  Deprecated.
  use `MouseDownHandler`, `MouseUpHandler`, `MouseOverHandler`, `MouseMoveHandler`, and `MouseOutHandler` instead

      @Deprecated
      public interface MouseListener
      extends java.util.EventListener

  Event listener interface for mouse events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMouseDown(Widget sender, int x, int y)` Deprecated. use `MouseDownHandler.onMouseDown(com.google.gwt.event.dom.client.MouseDownEvent)` instead
    `void` | `onMouseEnter(Widget sender)` Deprecated. use `MouseOverHandler.onMouseOver(com.google.gwt.event.dom.client.MouseOverEvent)` instead
    `void` | `onMouseLeave(Widget sender)` Deprecated. use `MouseOutHandler.onMouseOut(com.google.gwt.event.dom.client.MouseOutEvent)` instead
    `void` | `onMouseMove(Widget sender, int x, int y)` Deprecated. use `MouseMoveHandler.onMouseMove(com.google.gwt.event.dom.client.MouseMoveEvent)` instead
    `void` | `onMouseUp(Widget sender, int x, int y)` Deprecated. use `MouseUpHandler.onMouseUp(com.google.gwt.event.dom.client.MouseUpEvent)` instead

- - ### Method Detail

    - #### onMouseDown

          @Deprecated
          void onMouseDown(Widget sender,
                                       int x,
                                       int y)

      Deprecated. use `MouseDownHandler.onMouseDown(com.google.gwt.event.dom.client.MouseDownEvent)` instead
      Fired when the user depresses the mouse button over a widget.
      Parameters:
        `sender` - the widget sending the event
        `x` - the x coordinate of the mouse
        `y` - the y coordinate of the mouse

    - #### onMouseEnter

          @Deprecated
          void onMouseEnter(Widget sender)

      Deprecated. use `MouseOverHandler.onMouseOver(com.google.gwt.event.dom.client.MouseOverEvent)` instead
      Fired when the mouse enters a widget's area.
      Parameters:
        `sender` - the widget sending the event

    - #### onMouseLeave

          @Deprecated
          void onMouseLeave(Widget sender)

      Deprecated. use `MouseOutHandler.onMouseOut(com.google.gwt.event.dom.client.MouseOutEvent)` instead
      Fired when the mouse leaves a widget's area.
      Parameters:
        `sender` - the widget sending the event

    - #### onMouseMove

          @Deprecated
          void onMouseMove(Widget sender,
                                       int x,
                                       int y)

      Deprecated. use `MouseMoveHandler.onMouseMove(com.google.gwt.event.dom.client.MouseMoveEvent)` instead
      Fired when the user moves the mouse over a widget.
      Parameters:
        `sender` - the widget sending the event
        `x` - the x coordinate of the mouse
        `y` - the y coordinate of the mouse

    - #### onMouseUp

          @Deprecated
          void onMouseUp(Widget sender,
                                     int x,
                                     int y)

      Deprecated. use `MouseUpHandler.onMouseUp(com.google.gwt.event.dom.client.MouseUpEvent)` instead
      Fired when the user releases the mouse button over a widget.
      Parameters:
        `sender` - the widget sending the event
        `x` - the x coordinate of the mouse
        `y` - the y coordinate of the mouse